## postgresql-16-age 1.5.0~rc0

=== Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

MODULE_big = age

age_sql = age--1.5.0.sql

OBJS = src/backend/age.o \
       src/backend/catalog/ag_catalog.o \
       src/backend/catalog/ag_graph.o \
       src/backend/catalog/ag_label.o \
       src/backend/catalog/ag_namespace.o \
       src/backend/commands/graph_commands.o \
       src/backend/commands/label_commands.o \
       src/backend/executor/cypher_create.o \
       src/backend/executor/cypher_merge.o \
       src/backend/executor/cypher_set.o \
       src/backend/executor/cypher_utils.o \
       src/backend/nodes/ag_nodes.o \
       src/backend/nodes/cypher_copyfuncs.o \
       src/backend/nodes/cypher_outfuncs.o \
       src/backend/nodes/cypher_readfuncs.o \
       src/backend/optimizer/cypher_createplan.o \
       src/backend/optimizer/cypher_pathnode.o \
       src/backend/optimizer/cypher_paths.o \
       src/backend/parser/ag_scanner.o \
       src/backend/parser/cypher_analyze.o \
       src/backend/parser/cypher_clause.o \
       src/backend/executor/cypher_delete.o \
       src/backend/parser/cypher_expr.o \
       src/backend/parser/cypher_gram.o \
       src/backend/parser/cypher_item.o \
       src/backend/parser/cypher_keywords.o \
       src/backend/parser/cypher_parse_agg.o \
       src/backend/parser/cypher_parse_node.o \
       src/backend/parser/cypher_parser.o \
       src/backend/parser/cypher_transform_entity.o \
       src/backend/utils/adt/age_graphid_ds.o \
       src/backend/utils/adt/agtype.o \
       src/backend/utils/adt/agtype_ext.o \
       src/backend/utils/adt/agtype_gin.o \
       src/backend/utils/adt/agtype_ops.o \
       src/backend/utils/adt/agtype_parser.o \
       src/backend/utils/adt/agtype_util.o \
       src/backend/utils/adt/agtype_raw.o \
       src/backend/utils/adt/age_global_graph.o \
       src/backend/utils/adt/age_session_info.o \
       src/backend/utils/adt/age_vle.o \
       src/backend/utils/adt/cypher_funcs.o \
       src/backend/utils/adt/ag_float8_supp.o \
       src/backend/utils/adt/graphid.o \
       src/backend/utils/ag_func.o \
       src/backend/utils/graph_generation.o \
       src/backend/utils/cache/ag_cache.o \
       src/backend/utils/load/ag_load_labels.o \
       src/backend/utils/load/ag_load_edges.o \
       src/backend/utils/load/age_load.o \
       src/backend/utils/load/libcsv.o \
       src/backend/utils/name_validation.o \
       src/backend/utils/ag_guc.o

EXTENSION = age

# to allow cleaning of previous (old) age--.sql files
all_age_sql = $(shell find . -maxdepth 1 -type f -regex './age--[0-9]+\.[0-9]+\.[0-9]+\.sql')

SQLS := $(shell cat sql/sql_files)
SQLS := $(addprefix sql/,$(SQLS))
SQLS := $(addsuffix .sql,$(SQLS))

DATA_built = $(age_sql)

# sorted in dependency order
REGRESS = scan \
          graphid \
          agtype \
          catalog \
          cypher \
          expr \
          cypher_create \
          cypher_match \
          cypher_unwind \
          cypher_set \
          cypher_remove \
          cypher_delete \
          cypher_with \
          cypher_vle \
          cypher_union \
          cypher_call \
          cypher_merge \
          age_global_graph \
          age_load \
          index \
          analyze \
          graph_generation \
          name_validation \
          jsonb_operators \
          drop

srcdir=`pwd`

ag_regress_dir = $(srcdir)/regress
REGRESS_OPTS = --load-extension=age --inputdir=$(ag_regress_dir) --outputdir=$(ag_regress_dir) --temp-instance=$(ag_regress_dir)/instance --port=61958 --encoding=UTF-8 --temp-config $(ag_regress_dir)/age_regression.conf

ag_regress_out = instance/ log/ results/ regression.*
EXTRA_CLEAN = $(addprefix $(ag_regress_dir)/, $(ag_regress_out)) src/backend/parser/cypher_gram.c src/include/parser/cypher_gram_def.h src/include/parser/cypher_kwlist_d.h $(all_age_sql)

GEN_KEYWORDLIST = $(PERL) -I ./tools/ ./tools/gen_keywordlist.pl
GEN_KEYWORDLIST_DEPS = ./tools/gen_keywordlist.pl tools/PerfectHash.pm

ag_include_dir = $(srcdir)/src/include
PG_CPPFLAGS = -I$(ag_include_dir) -I$(ag_include_dir)/parser

PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

src/backend/parser/cypher_keywords.o: src/include/parser/cypher_kwlist_d.h

src/include/parser/cypher_kwlist_d.h: src/include/parser/cypher_kwlist.h $(GEN_KEYWORDLIST_DEPS)
	$(GEN_KEYWORDLIST) --extern --varname CypherKeyword --output src/include/parser $<

src/include/parser/cypher_gram_def.h: src/backend/parser/cypher_gram.c

src/backend/parser/cypher_gram.c: BISONFLAGS += --defines=src/include/parser/cypher_gram_def.h

src/backend/parser/cypher_parser.o: src/backend/parser/cypher_gram.c
src/backend/parser/cypher_keywords.o: src/backend/parser/cypher_gram.c

$(age_sql):
	@cat $(SQLS) > $@

src/backend/parser/ag_scanner.c: FLEX_NO_BACKUP=yes

installcheck: export LC_COLLATE=C

=== drivers/python/requirements.txt ===
p s y c o p g 2   - - n o - b i n a r y   : a l l :   p s y c o p g 2 
 
 a n t l r 4 _ p y t h o n 3 _ r u n t i m e = = 4 . 1 1 . 1 
 
 s e t u p t o o l s 

=== debian/changelog ===
postgresql-16-age (1.5.0~rc0-2) unstable; urgency=medium

  * B-D on architecture-is-64-bit; set architecture to "any".

 -- Christoph Berg <myon@debian.org>  Mon, 15 Jan 2024 10:26:28 +0100

postgresql-16-age (1.5.0~rc0-1) unstable; urgency=medium

  * PG 16 support.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Jan 2024 10:59:38 +0100

postgresql-15-age (1.4.0~rc0-1) unstable; urgency=medium

  * New upstream version.
  * Rename source package to postgresql-15-age.
  * Fix tests on big-endian architectures.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2023 12:35:21 +0100

postgresql-age (1.1.0~rc0-1) unstable; urgency=medium

  * Initial release.
  * Package is only compatible with 64-bit PostgreSQL.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Dec 2022 10:40:11 +0100

=== debian/control ===
Source: postgresql-16-age
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit,
 bison,
 debhelper-compat (= 13),
 flex,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/apache/age
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-age
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-age.git -b 16

Package: postgresql-16-age
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Graph database optimized for fast analysis and real-time data processing
 Apache AGE is an extension for PostgreSQL that enables users to leverage a
 graph database on top of the existing relational databases. AGE is an acronym
 for A Graph Extension and is inspired by Bitnine's AgensGraph, a multi-model
 database fork of PostgreSQL. The basic principle of the project is to create a
 single storage that handles both the relational and graph data model so that
 the users can use the standard ANSI SQL along with openCypher, one of the most
 popular graph query languages today.
 .
 This package contains Apache AGE for PostgreSQL 16.

=== debian/rules ===
#!/usr/bin/make -f

# currently only one major version is supported
export PG_SUPPORTED_VERSIONS = 16

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.* NOTICE

override_dh_pgxs_test:
	debian/tests/installcheck

## postgresql-16-age 1.6.0~rc0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 MODULE_big = age
 
-age_sql = age--1.5.0.sql
+age_sql = age--1.6.0.sql
 
 OBJS = src/backend/age.o \
        src/backend/catalog/ag_catalog.o \
@@ -88,6 +88,7 @@
 REGRESS = scan \
           graphid \
           agtype \
+          agtype_hash_cmp \
           catalog \
           cypher \
           expr \
@@ -102,6 +103,7 @@
           cypher_union \
           cypher_call \
           cypher_merge \
+          cypher_subquery \
           age_global_graph \
           age_load \
           index \
@@ -109,7 +111,14 @@
           graph_generation \
           name_validation \
           jsonb_operators \
-          drop
+          list_comprehension \
+          map_projection
+
+ifneq ($(EXTRA_TESTS),)
+  REGRESS += $(EXTRA_TESTS)
+endif
+
+REGRESS += drop
 
 srcdir=`pwd`

=== drivers/python/requirements.txt ===
p s y c o p g   - - n o - b i n a r y   : a l l :   p s y c o p g 
 
 a n t l r 4 - p y t h o n 3 - r u n t i m e = = 4 . 1 1 . 1 
 
 s e t u p t o o l s 
 
 n e t w o r k x 

=== debian/changelog ===
postgresql-16-age (1.6.0~rc0-1) unstable; urgency=medium

  * New upstream version 1.6.0~rc0.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Sep 2025 12:35:29 +0200

postgresql-16-age (1.5.0~rc0-3) unstable; urgency=medium

  * Support PG17 as well from this source package.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2024 10:21:29 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-age
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-age.git -b 16
 
-Package: postgresql-16-age
+Package: postgresql-17-age
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -31,4 +31,4 @@
  the users can use the standard ANSI SQL along with openCypher, one of the most
  popular graph query languages today.
  .
- This package contains Apache AGE for PostgreSQL 16.
+ This package contains Apache AGE for PostgreSQL 17.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.* NOTICE

override_dh_pgxs_test:
	debian/tests/installcheck

=== debian/watch ===
version=4
opts=uversionmangle=s/.(dev|alpha|beta|rc)/~$1/ \
https://github.com/apache/age/tags .*PG16/v\.?(.*).tar.gz
